Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotTableStyle

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotTableStyle

public class PivotTableStyle extends Object
The Class PivotTableStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotTableStyle()`
  Instantiates a new pivot table style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotTableStyle`
  `clone()`
  `String`
  `getName()`
  Gets the name.
  `boolean`
  `isShowColumnHeader()`
  Checks if is show column header.
  `boolean`
  `isShowColumnStripes()`
  Checks if is show column stripes.
  `boolean`
  `isShowLastColumn()`
  Checks if is show last column.
  `boolean`
  `isShowRowHeader()`
  Checks if is show row header.
  `boolean`
  `isShowRowStripes()`
  Checks if is show row stripes.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setShowColumnHeader​(boolean showColumnHeader)`
  Sets the show column header.
  `void`
  `setShowColumnStripes​(boolean showColumnStripes)`
  Sets the show column stripes.
  `void`
  `setShowLastColumn​(boolean showLastColumn)`
  Sets the show last column.
  `void`
  `setShowRowHeader​(boolean showRowHeader)`
  Sets the show row header.
  `void`
  `setShowRowStripes​(boolean showRowStripes)`
  Sets the show row stripes.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotTableStyle

    public PivotTableStyle()
    Instantiates a new pivot table style.

- ## Method Details

  - ### clone

    public PivotTableStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isShowColumnHeader

    public boolean isShowColumnHeader()
    Checks if is show column header.
    Returns:
      true, if is show column header

  - ### setShowColumnHeader

    public void setShowColumnHeader​(boolean showColumnHeader)
    Sets the show column header.
    Parameters:
      `showColumnHeader` - the new show column header

  - ### isShowColumnStripes

    public boolean isShowColumnStripes()
    Checks if is show column stripes.
    Returns:
      true, if is show column stripes

  - ### setShowColumnStripes

    public void setShowColumnStripes​(boolean showColumnStripes)
    Sets the show column stripes.
    Parameters:
      `showColumnStripes` - the new show column stripes

  - ### isShowLastColumn

    public boolean isShowLastColumn()
    Checks if is show last column.
    Returns:
      true, if is show last column

  - ### setShowLastColumn

    public void setShowLastColumn​(boolean showLastColumn)
    Sets the show last column.
    Parameters:
      `showLastColumn` - the new show last column

  - ### isShowRowHeader

    public boolean isShowRowHeader()
    Checks if is show row header.
    Returns:
      true, if is show row header

  - ### setShowRowHeader

    public void setShowRowHeader​(boolean showRowHeader)
    Sets the show row header.
    Parameters:
      `showRowHeader` - the new show row header

  - ### isShowRowStripes

    public boolean isShowRowStripes()
    Checks if is show row stripes.
    Returns:
      true, if is show row stripes

  - ### setShowRowStripes

    public void setShowRowStripes​(boolean showRowStripes)
    Sets the show row stripes.
    Parameters:
      `showRowStripes` - the new show row stripes